Name:           compat-openssl10-pkcs11-helper
Version:        1.22
Release:        7%{?dist}
Summary:        A library for using PKCS#11 providers

License:        GPLv2 or BSD
URL:            http://www.opensc-project.org/opensc/wiki/pkcs11-helper
Source0:        http://downloads.sourceforge.net/opensc/pkcs11-helper-%{version}.tar.bz2
Patch2:         pkcs11-helper-rfc7512.patch
# artificially raise SONAME to something different (and borderline rediculous)
# to allow parallel-installability with stock pkcs11-helper
Patch100:       pkcs11-helper-1.22-compat.patch

BuildRequires:  automake libtool
BuildRequires:  compat-openssl10-devel
BuildRequires:  pkgconfig(openssl)

%description
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications using a simple API and optional OpenSSL
engine. The library allows using multiple PKCS#11 providers at the same time,
enumerating available token certificates, or selecting a certificate directly
by serialized id, handling card removal and card insert events, handling card
re-insert to a different slot, supporting session expiration and much more all
using a simple API.

%package        devel
Summary:        Development files for pkcs11-helper
Conflicts:      pkcs11-helper-devel
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       compat-openssl10-devel
BuildRequires:  pkgconfig(openssl)
%description    devel
This package contains header files and documentation necessary for developing
programs using the pkcs11-helper library.


%prep
%setup -q -n pkcs11-helper-%{version}

%patch2 -p1 -b .rfc7512
%patch100 -p1 -b .compat

autoreconf -f -i


%build
%configure \
  --disable-static

%make_build


%install
%make_install

## unpackaged files
rm -fv  %{buildroot}%{_libdir}/lib*.la
rm -rfv %{buildroot}/usr/share/doc/pkcs11-helper


%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog README THANKS
%license COPYING*
%{_libdir}/libpkcs11-helper.so.100*

%files devel
%{_includedir}/pkcs11-helper-1.0/
%{_libdir}/libpkcs11-helper.so
%{_libdir}/pkgconfig/libpkcs11-helper-1.pc
%{_datadir}/aclocal/pkcs11-helper-1.m4
%{_mandir}/man8/pkcs11-helper-1.8*


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Rex Dieter <rdieter@fedoraproject.org> - 1.22-5
- use %%make_build %%make_install %%ldconfig_scriptlets

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr 25 2017 Rex Dieter <rdieter@fedoraproject.org> - 1.22-1
- compat-openssl10-pkcs11-helper (#1445349)
